package com.zerohighdef.geoffrey.Commands;

import com.google.gson.JsonElement;
import com.zerohighdef.geoffrey.GeoffreyMC;
import com.zerohighdef.geoffrey.Objects.GeoffreyAPICallback;
import com.zerohighdef.geoffrey.Objects.GeoffreyCommandError;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.HashMap;
import java.util.Map;

public class RegisterCommand extends GeoffreyCommand{

    public RegisterCommand(GeoffreyMC plugin) {
        super(plugin);
    }


    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {

        if ((sender instanceof Player)) {
            Map<String, String> params = new HashMap<String, String>();
            Player player = ((Player) sender).getPlayer();

            params.put("player_name", player.getName());
            params.put("discord_uuid", "");

            RunCommand("register", params,  Method.POST , new CommandCallback(sender));
        }
        else {
            sender.sendMessage(ChatColor.RED + "Console can not register!");
        }

        return true;
    }

    private class CommandCallback extends GeoffreyAPICallback {

        CommandCallback(CommandSender sender) {
            super(sender);
            errors.put("LocationLookUpError", "You have more than one location. Please specify a name.");
        }

        @Override
        public void invoke(String s) {
            try {
                JsonElement json = parseJSON(s);
                commandSender.sendMessage(ChatColor.GREEN + "You have been registered for Geoffrey!");

            }
            catch (GeoffreyCommandError e) {
                return;
            }
        }
    }


}
